using System;
using System.IO;

namespace Quik.Media
{
    public enum MediaHint
    {
        None,
        Image,
        Font
    }

    public interface MediaLoader
    {
        IDisposable GetMedia(object key, MediaHint hint);
    }

    public interface MediaLoader<T> : MediaLoader
    {
        IDisposable GetMedia(T key, MediaHint hint);
    }
}